<?php		

	// Initialisation des variables pour les tests
	$config = true;
	$access = true;
	$bdd = true;  
	
	// Test si .htaccess existe
	$filename = ".htaccess";
	if (!file_exists($filename)) $access = false;

	// Test si config.php existe
	$filename = "config.php";
	if (!file_exists($filename)) $config = false;
	
	// Si config.php existe, test si la base de donnes existe. 
	if 	($config) {
		require("config.php");		 
		$db=mysql_connect($serveur_db,$login_db,$pass_db);
		mysql_select_db($nom_db,$db);
		$table = $prefixe_db."_rubriques";	
		if ((mysql_errno() > 0) or (mysql_num_rows(mysql_query("SHOW TABLES LIKE '".$table."'"))==0)) 
		{
			 $bdd = false; 
		}	 	 
	}			

	// Si quelque chose manque, on propose la configuration. 
	if ((!$access) or (!$config) or (!$bdd)) 
	{
		 header('Location: configuration.php');
		 exit();	
	}	
	// Sinon, on affiche le menu des outils de SLICO 	 
	
?>			 

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">
   
<html>

	<!-- Entte HTML --> 
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<title>Traitement de la base de donnes SLICO 2</title>
		<link rel="stylesheet" type="text/css" href="slico.css">
		
				<!-- Affichage du favicon --> 
		<link rel="shortcut icon" href="../favicon.png"> 
		<link rel="icon" type="image/x-icon" href="../favicon.png"> 
	</head>

	<!-- Corps du document --> 							 
	<body>
		<!-- cadre gnral --> 
		<div style="text-align: justify; width: 800px; margin: 0 auto">	
		
			<!-- Haut de la page --> 
			<div style="float: right">
					<img src="slico_180x131.png" border="0" width="180" height="131" alt="">
			</div>				 

			
			<div style="float: left">
					<img src="editions_rush_180x131.png" border="0" width="180" height="131" alt="">
			</div>	  

			
			<div style="float: none; text-align: center; font-family: Arial; font-size: 20px; text-decoration: underline; font-weight: bold; margin-top: 2em">
				<br><br>Administration de SLICO 2
			</div>		  

		
			<div style="clear: both; margin-bottom: 3em">
			</div>	 
			
			<div style="margin: 0 auto; width: 800px; clear: both">	  
				
				<div class="titre">
				Mise  jour de la colonne de gauche :<br><br>
				</div> 
				
				<div class="separation"></div>
				
				<div class="boite" style="margin-top: 1em; border-color: purple; background-color: plum">	
					Rubriques : 
					<br>
					<a href="ajouter_une_rubrique.php">Ajouter une rubrique</a>
					<br>
					<a href="supprimer_une_rubrique.php">Supprimer une rubrique</a>
					<br>
					<a href="modifier_une_rubrique.php">Modifier une rubrique</a>
					<br>
				</div>
				<div class="boite" style="margin-top: 1em; border-color: blue; background-color: powderblue">	
					Sites : 
					<br>
					<a href="ajouter_un_site.php">Ajouter un site </a>
					<br>
					<a href="supprimer_un_site.php">Supprimer un site</a>
					<br>
					<a href="modifier_un_site.php">Modifier un site</a>
					<br>
				</div>	
				<br><font size="-1">
				Avant toutes choses, vous devez crer des rubriques (Sites locaux, Mdias, Institutions...) puis rfrencer des 
				sites. Un lien apparatra dans la colonne de gauche. Ces sites seront visits par le robot SLICO pour la mise  
				jour des News grce au menu qui suit.</font> 
			</div>	  
			
			<div style="margin: 0 auto; width: 800px; clear: both">	
				
				<div class="titre">
				Mise  jour des News :<br><br>
				</div> 
				
				<div class="separation"></div>
				
				<div class="boite" style="margin-top: 1em; border-color: gray; background-color: silver">	
					<a href="slico.php" target="_blank"><b>Rechercher les news</b></a>
					<br>
					<a href="gerer_phrases_exclues.php">Grer les phrases exclues</a>
					<br>
					<a href="supprimer_des_infos.php">Supprimer un groupe d'infos</a>
					<br>
					<a href="../outils/slico/capture.html" target="_blank">Voir le fichier capture.html</a>
					<br>
				</div>	
				<div class="boite" style="margin-top: 1em; border-color: gold; background-color: yellow">	
					News : 
					<br>
					<a href="ajouter_une_info.php">Ajouter une info</a>
					<br>
					<a href="supprimer_une_info.php">Supprimer une info</a>
					<br>
					<a href="modifier_une_info.php">Modifier une info</a>
					<br>
				</div>		
				<br><font size="-1">
				Dans le cadre gris, vous pouvez grer globalement les News (Recherche, exclusion de phrases et suppression des News anciennes) 
				et dans le cadre jaune, vous pourrez les intgrer  votre site et effectuer des oprations de maintenance.
				L'agenda se remplira tout seul en fonction des paramtres de chaque News. 
				<br><br>
				<font color="#ff0000">En cas d'incident pendant la recherche des news (page qui se ferme accidentellement) 
				ne relancez pas la requte ! Attendez quelques minutes et utilisez la fonction "Voir le fichier capture.html" 
				qui vous proposera le rsultat sous une forme succinte.</font>

				</font>
			</div>	
			
			<div style="margin: 0 auto; width: 800px; clear: both">	
				
				<div class="titre">
				Mise  jour des services et des sponsors :<br><br>
				</div> 
				
				<div class="separation"></div>
			
				<div class="boite" style="margin-top: 1em; border-color: green; background-color: aquamarine">	
					Services : 
					<br>
					<a href="ajouter_un_service.php">Ajouter un service</a>
					<br>
					<a href="supprimer_un_service.php">Supprimer un service</a>
					<br>
					<a href="modifier_un_service.php">Modifier un service</a>
					<br>
				</div>	 
				<div class="boite" style="margin-top: 1em; border-color: red; background-color: pink">	
					Sponsors : 
					<br>
					<a href="ajouter_un_sponsor.php">Ajouter un sponsor</a>
					<br>
					<a href="supprimer_un_sponsor.php">Supprimer un sponsor</a>
					<br>
					<a href="modifier_un_sponsor.php">Modifier un sponsor</a>
					<br>
				</div>
				<br><font size="-1">
				Utilisez le premier menu pour garnir la rubrique des services et le second pour crer et grer les encarts de vos partenaires.
				</font>
			</div>	 
			
			<div style="margin: 0 auto; width: 800px; clear: both">	
				
				<div class="titre">
				Autres actions :<br><br>
				</div> 
				
				<div class="separation"></div>
			
				<div class="boite" style="margin-top: 1em; border-color: maroon; background-color: khaki">	
					<a href="../index.php" target="_parent">Visualiser le site</a>
					<br>
					<a href="../guide.html" target="_blank">Consulter le guide</a>
					<br>
					<a href="../outils/configuration.php?change_mdp=oui">Changer le mot de passe</a>
					<br>
					<a href="../outils/configuration.php?revision=oui">Modifier les paramtres</a>
					<br>
				</div>	 
				<div class="boite" style="margin-top: 1em; border-color: black; background-color: white">	
					XXXXXXXXXXXXXXXXX
					<br>
					<a href="confirmer_supprimer_la_base.php">Supprimer la base</a>
					<br>
					(Confirmation requise)
					<br>
					XXXXXXXXXXXXXXXXX
					<br>
				</div>
				<br><font size="-1">
				Vous pouvez visualiser le site dans une autre fentre pour verifier vos mises  jour, consulter le guide, 
				modifier votre mot de passe administrateur ou changer certains paramtres. Vous pouvez galement dtruire 
				votre base si vous tes dans une phase d'essai ou si vous voulez rinstaller ou supprimer compltement votre site SLICO.
				</font>
			</div>	
			<div style="margin: 0 auto; width: 800px; clear: both">	
				
				<div class="titre">
				Uploads :
				</div> 
				<form action="upload.php" method="post">
				<font size="-1">Vous pouvez uploader sur le site des fichiers "image" ou autres (logos, includes modifies...) 
				sans passer par les outils de FTP. Choisissez tout d'abord le dossier de destination et validez. La page suivante 
				vous permettra de placer le fichier de votre choix dans le dossier slectionn : 
				<br><br></font>
				<div style="text-align: center">    			
					<select name="dossier">
	    				<option value="divers"> Dossier divers/</option>
	    				<option value="images/captchas"> Dossier images/captchas/</option>
	    				<option value="images/divers"> Dossier images/divers/</option>
	    				<option value="images/entete"> Dossier images/entete/</option>
	    				<option value="images/fonds"> Dossier images/fonds/</option>
	    				<option value="images/guide"> Dossier images/guide/</option>
	    				<option value="images/logos"> Dossier images/logos/</option>
	    				<option value="images/services"> Dossier images/services/</option>
	    				<option value="images/sponsors"> Dossier images/sponsors/</option>
	    				<option value="images/includes"> Dossier images/includes/</option>
	    				<option value="mobile/detect"> Dossier mobile_detect/</option>
	    				<option value="outils"> Dossier outils/</option>
	   			 	</select> 
					<br><br><input type="submit" value="Validez">
     
					</div>				
	    		</form>
			   <br><br>
			</div>	
		</div>
	</body>
</html>
