<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">
   
<html>

	<!-- Entte HTML --> 
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<title>SLICO 2 - Recherche des informations </title>
		<link rel="stylesheet" type="text/css" href="slico.css">
		
		<!-- Affichage du favicon --> 
		<link rel="shortcut icon" href="../favicon.png"> 
		<link rel="icon" type="image/x-icon" href="../favicon.png"> 
	</head>

	<!-- Corps du document --> 							 
	<body>	   
	
		<!-- cadre de la page --> 
		<div style="text-align: justify; width: 800px; margin: 0 auto">	
			
			<!-- En-tte --> 
			<div style="float: right">
				<img src="slico_180x131.png" border="0" width="180" height="131" alt="">
			</div>	
						 
			<div style="float: left">
				<img src="editions_rush_180x131.png" border="0" width="180" height="131" alt="">
			</div>	  
			
			<!-- Titre --> 
			<div style="float: none; text-align: center; font-family: Arial; font-size: 20px; text-decoration: underline; font-weight: bold; margin-top: 2em">
				<br><br>Recherche des news
			</div>		  
			
			<!-- Espace vertical --> 
			<div style="clear: both; margin-bottom: 3em">
			</div>	  
			
			<div style="text-align: justify; margin: 0 auto; width: 450px">	 

			Utilisez ces rsultats bruts pour mettre  jour votre SLICO<br><br>
			Le robot fait de son mieux, mais vous devez interprter et peaufiner chaque rponse en fonction de son contenu 
			et du mode opratoire des sites visits. La qualit de votre application dpendra de cette interprtation. 
			<br><br>
			Vous trouverez plus d'informations ainsi que des astuces et des conseils sur la page de slico.net consacre 
			au <a href="http://slico.net/faqs/robot/" target="_blank">robot SLICO</a>. 
			<br><br>
			</div>
		
		<?php		
			$heure_debut =  date('d/m/y  H:i:s');

			// pour enregistrer la page qui va se gnrer en cas de problme...
			ob_start();
		
			// Rcupration de la liste des phrases exclues
			$phrases_exclues = file("phrases_exclues.txt");
			$phrases_exclues = explode(";",$phrases_exclues[0]);

			$nombre_de_phrases_exclues = count($phrases_exclues);
			
		    // cration du sous-dossier slico s'il n'existe pas encore
			$path = 'slico';
			if (!file_exists($path)) mkdir("slico"); 

			// inclusion de la routine pour parser les pages afin d'obtenir le texte en clair.
			include_once ("simple_html_dom.php");					 

			// construction de la liste des sites et des url 
			$liste_sites = array ();	  
			$liste_urls = array ();	  
			$liste_fichiers = array ();	  

			$liste_sites_sans_visite = array ();	  
			$liste_urls_sans_visite = array ();	  
			
			// connexion  la base 
			require("config.php");
			$db=mysql_connect($serveur_db,$login_db,$pass_db);
			mysql_select_db($nom_db,$db);
			// slection de la table des sites
			$table = $prefixe_db."_sites";	
			
			// rcupration des sites  ne pas visiter, classs par rubrique
 			$requete2 = "SELECT * FROM $table WHERE a_visiter = 'non' AND url_a_visiter <> '#' ORDER by rubrique_site ASC, nom_site ASC";
			$resultat2 = mysql_db_query($nom_db,$requete2,$db);	   

			$compteur_sites_sans_visite = 0;	

			while ($row2=mysql_fetch_array($resultat2))
			{	
				$compteur_sites_sans_visite++;
				$liste_urls_sans_visite[$compteur_sites_sans_visite] = $row2['url_a_visiter'];	  
				$liste_sites_sans_visite[$compteur_sites_sans_visite] = $row2['nom_site'];	  
			 }	


			// rcupration des sites  visiter, classs par rubrique
			$requete = "SELECT * FROM $table WHERE a_visiter = 'oui' AND url_a_visiter <> '#' ORDER by rubrique_site ASC, nom_site ASC";
			$resultat = mysql_db_query($nom_db,$requete,$db);	   
			mysql_close();

			$compteur_sites = 0;	

			// tant qu'il y a des sites, on fabrique un nom de fichier spcifique au site
			while ($row=mysql_fetch_array($resultat))
			{	
				$compteur_sites++;
				$liste_sites[$compteur_sites] = $row['nom_site'];	  	
				$liste_fichiers[$compteur_sites] = trim($row['nom_site']);	  							  
				$liste_fichiers[$compteur_sites] = $liste_fichiers[$compteur_sites]."_";	  							  
				
				// on passe le nom du site en minuscule
				$liste_fichiers[$compteur_sites] = strtolower($liste_fichiers[$compteur_sites]);
	
				// et on remplace les caractres d'chappement \ par _ ainsi que les lettres accentues	
				$caracteres_a_modifier     = array("&","'", " ", ".", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "");
				$caracteres_de_substitution = array("_","_", "_", "_", "a", "a", "e", "e", "e", "e", "e", "i", "i", "o", "o", "u", "u", "u", "c");
				$liste_fichiers[$compteur_sites] = str_replace($caracteres_a_modifier, $caracteres_de_substitution, $liste_fichiers[$compteur_sites]);
				$liste_urls[$compteur_sites] = $row['url_a_visiter'];	  
				// echo  $liste_fichiers[$compteur_sites]." ".$liste_urls[$compteur_sites]."<br>";
			}
				
			
			// boucle tant qu'il y a des url  visiter
			for ($site_courant=1; $site_courant <=$compteur_sites; $site_courant++)
			{
				$site = $liste_sites[$site_courant];
				$url  = $liste_urls[$site_courant];
				$name = $liste_fichiers[$site_courant]; 		  

				// finalisation du nom du fichier  crer 
				// si a existe on cre b pour le comparer ensuite  a et vice-versa
				$name_a= 'slico/'.$name."a.txt";
				$name_b= 'slico/'.$name."b.txt";
				if (file_exists("$name_a")) {
					$namenew=$name_b;
					$nameold=$name_a;
				}  
				else {  
					$namenew=$name_a;
					$nameold=$name_b;
				}
				
				// appel  la routine parser de pages html 
				$content = file_get_html($liste_urls[$site_courant])->plaintext;			
				
				// ouverture d'un fichier temporaire en criture
				$fichier_provisoire = "slico/temp.txt";  
				$file0 = fopen("$fichier_provisoire","w");
				// o on stocke la chane rcupre
				fputs($file0,"$content");
				fclose($file0); 

				// ouverture du fichier temporaire en lecture
				$file1 = fopen("$fichier_provisoire","r");
				// ouverture du nouveau fichier pour le site en criture
				$file2 = fopen("$namenew","w"); 
				
				// traitement si le fichier n'est pas vide 
				if (filesize ($fichier_provisoire)>0) {
				
					// rcriture des fichiers
					while (!feof($file1)) 
					{ 
						// on lit les chanes de caractres en squence
						$temp = fgets($file1);
	
						// si elle fait plus de la longueur minimale choisie, on la traite
						if (strlen($temp) > $longueur_minimale_news) 
						{
							
							// on remplace les trous par le caractre 
							$temp1 = preg_replace('/\s\s+/','', $temp);	  
							// et les points par le mme caractre
							$temp2 = str_replace('.','', $temp1);	  
	
							// et on divise le tout en phrases spares						
							$tableau_temp = explode('', $temp2); 
							
							// on rcupre le nombre de phrases						
							$nombre_de_phrases = count($tableau_temp);
							
							// On va traiter chaque phrase sparment
							for ($index2=0; $index2 <$nombre_de_phrases; $index2++)  {
							
								// on la prend en compte uniquement si elle dpasse la longueur minimale 					   
								if (strlen($tableau_temp[$index2]) > $longueur_minimale_news) {	
									// si la phrase est encore trop longue, on cherche  la diviser encore
									if (strlen($tableau_temp[$index2]) > 600)  {
										// en remplaant les ! et les ; par des 	
										$tableau_temp[$index2] = str_replace('!','', $tableau_temp[$index2]);	  							
										$tableau_temp[$index2] = str_replace(';','', $tableau_temp[$index2]);	  							
										// et en divisant de nouveau le tout en phrases spares						
										$tableau_temp2 = explode('#', $tableau_temp[$index2]); 
								
										// on rcupre le nombre de phrases						
										$nombre_de_phrases2 = count($tableau_temp2);
							
										// On va traiter chaque phrase sparment
										for ($index3=0; $index3 <$nombre_de_phrases2; $index3++)  {
											if (strlen($tableau_temp2[$index3]) > $longueur_minimale_news) {	
												// on remplit le nouveau fichier
												fputs($file2,"$tableau_temp2[$index3]");					   
												fputs($file2,"\n");					   
											}
										}								 
									}		
									else {
										fputs($file2,"$tableau_temp[$index2]");					   
										fputs($file2,"\n");					   
									}
								}
							}
						}
					}
					fclose($file1); 
					fclose($file2);  	
		
					// on affiche la rfrence des sites
					echo "&nbsp;<a href= '".$url."' target='_blank'><b>".$site."</b></a><br>";   
	
					// si l'ancien fichier n'existe pas, il n'y a rien  faire, on le signale
					if (!file_exists("$nameold")){
						echo '<font color="#ff0000">&nbsp;&nbsp;&nbsp;&nbsp;Ce nouveau site sera pris en compte lors de la prochaine recherche.</font><br>'; 
					}			  
					
					// s'il existe, on va comparer le nouveau fichier avec l'ancien
					else {
						$file1 = fopen("$nameold","r");
						$file2 = fopen("$namenew","r");
	
						$pareil=true;	 
	
						// tant que les chanes de caractres sont identiques, on continue les tests jusqu'au bout du nouveau fichier
						while (($pareil) and (!feof($file2))) 
						{
							// rcupration des chanes
							$temp_1 = fgets($file1);   
							$temp_2 = fgets($file2);     
	
							$temp_1 = strip_tags($temp_1);	  
							$temp_1 = (string) substr ( $temp_1,0 , 600 );
	
							// on retire les tags qui traneraient encore et on raccourcit la chane
							$temp_2 = strip_tags($temp_2);
							$temp_2 = (string) substr ( $temp_2,0 , 600 );
							
							// pour un confort de lecture, on procde  quelques modifications 	   
																										 	 
				//    -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  - E - E -  -  -  -  -  -  - Œ - œ -  Stage de NOEL 3 jours : du 22 au 24 dcembre - Enfants (8   13 ans) 
	  			//	 -  -  -  -  -  -  -  -  -  -  -  -  -  -  -	 -  -  -  -  -  -  -  -  -  -  -  -  -  -  - 
	
							$caracteres_a_modifier      = array("","","","","","","","","","","","","","","&nbsp;", "é", "©", "¨", "¨", "ªt", "ªt", "ç", "", "Ë", "","0","","" );
							$caracteres_de_substitution = array("", "", "", "", "", "", "", "", "", "", "", "", "", "", " ",      "",     "",   "",  "",      "",  "",  "",  "", "E",  "E", "", "", "");
							$temp1 = str_replace($caracteres_a_modifier, $caracteres_de_substitution, $temp_1);
							$temp2 = str_replace($caracteres_a_modifier, $caracteres_de_substitution, $temp_2);
							
							// si les deux chanes sont diffrentes sans contenir dephrases exclues
							// on l'indique par le flag $pareil	
							if (($temp1 != $temp2) and ($temp2 != ""))
							{ 
								$i=0;
								$rejet=false;  
								
								for ($i;$i<=$nombre_de_phrases_exclues;$i++)
								{ 
									$pos = stripos($temp2,$phrases_exclues[$i]);
	
									if ($pos !== false) 
									{	
										$rejet = true;
									}	
								}	
								if (!$rejet)
								{
									$pareil=false;  	
									// on affiche la phrase si elle est diffrente
									echo '<font color="#008000">&nbsp;&nbsp;&nbsp;>>>&nbsp;'.$temp2.'</font><br>';
								} 
							}
						}	  			  
						// on ferme les fichiers
						fclose($file1); 
						fclose($file2); 
						// on dtruit l'ancien
						unlink($nameold) ;	  
						// si les deux fichiers taient identiques, on indique que la recherche est termine
						if ($pareil) echo '<font color="#c0c0c0">&nbsp;&nbsp;&nbsp;&nbsp;Aucune nouvelle info.</font>';  
						echo "<br>";	
					}
					// on nettoie la mmoire pour le traitement suivant					
					gc_collect_cycles ();
				}				
				else {
					// traitement si le fichier est vide (le site n'a pas pu tre visit)
					// on affiche la rfrence des sites
					echo "&nbsp;<a href= '".$url."' target='_blank'><b>".$site."</b></a><br>";   
					echo '<font color="pink">&nbsp;&nbsp;&nbsp;&nbsp;Un incident est survenu : Site non trait depuis le '.date ("d/m/Y H:i:s.", filemtime($nameold)).'</font>';  
					echo "<br>";

					fclose($file1);  	
					fclose($file2);  	
					unlink($namenew) ;	  
					// on nettoie la mmoire pour le traitement suivant					
					gc_collect_cycles ();
				}	
			}						   
			
			echo "<br><br><b><u>Sites  exploiter manuellement :</u></b> <br><br>";	  
			
			for ($i=1; $i<=$compteur_sites_sans_visite; $i++) {	
				echo "&nbsp;<a href= '".$liste_urls_sans_visite[$i]."' target='_blank'><b>".$liste_sites_sans_visite[$i]."</b></a><br><br>";   
			 }	
	
			$heure_fin =  date('d/m/y  H:i:s');
			 
			echo "Commenc le ".$heure_debut." termin le ".$heure_fin.".<br><br>";
			
			// la page est envoye  l'utilisateur de SLICO et une copie (capture.txt) est cre sur le site 
			// pour permettre sa rcupration en cas de problme
			 $html = ob_get_contents() ;
			
			 $fp = fopen('slico/capture.html', 'w') ;
			 fwrite($fp, $html) ;
			 fclose($fp) ;
			 ob_end_flush() ;
		 ?>	
		 </div>
	</body>
</html>
					  


